//
//  Sample3Controller.m
//  SDSample
//
//  Created by 中島 智秋 on 12/02/17.
//  Copyright (c) 2012年 日本アルゴリズム株式会社. All rights reserved.
//

#import "Sample3Controller.h"
#import <QuartzCore/QuartzCore.h>

@implementation Sample3Controller

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        self.title = @"サンプル3";
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // ボタンの背景用画像を準備
    UIImage *buttonImage = [UIImage imageNamed:@"blueButton.png"];
    UIImage *stretchImage = [buttonImage stretchableImageWithLeftCapWidth:60 topCapHeight:25];

    // ボタンの作成
    UIButton *button1 = [UIButton buttonWithType:UIButtonTypeCustom];
    button1.frame = CGRectMake(35.0f, 26.0f, 250.0f, 50.0f);
    [self.view addSubview:button1];
    // ボタンにテキストを設定
    [button1 setTitle:@"ボタン1" forState:UIControlStateNormal];
    button1.titleLabel.font = [UIFont boldSystemFontOfSize:20.0f];
    // ボタンに背景画像を設定
    [button1 setBackgroundImage:stretchImage forState:UIControlStateNormal];
    // ボタンに影を設定
    button1.layer.shadowColor = [UIColor blackColor].CGColor;
    button1.layer.shadowOpacity = 0.3f;
    button1.layer.shadowRadius = 1.0f;
    button1.layer.shadowOffset = CGSizeMake(2.0f, 2.0f);

    // ボタンの作成
    UIButton *button2 = [UIButton buttonWithType:UIButtonTypeCustom];
    button2.frame = CGRectMake(35.0f, 102.0f, 250.0f, 50.0f);
    [self.view addSubview:button2];
    // ボタンにテキストを設定
    [button2 setTitle:@"ボタン2" forState:UIControlStateNormal];
    button2.titleLabel.font = [UIFont boldSystemFontOfSize:20.0f];
    // ボタンに背景画像を設定
    [button2 setBackgroundImage:stretchImage forState:UIControlStateNormal];
    // ボタンに影を設定
    button2.layer.shadowColor = [UIColor blackColor].CGColor;
    button2.layer.shadowOpacity = 0.3f;
    button2.layer.shadowRadius = 1.0f;
    button2.layer.shadowOffset = CGSizeMake(2.0f, 2.0f);
}

- (void)viewDidUnload
{
    [super viewDidUnload];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
